import "Turbine.UI";
import "Gillothrin.Items.GUI";
import "Gillothrin.Items.BaseFunc";

WalletOptionItem = class(Turbine.UI.Control);
function WalletOptionItem:Constructor(walletItem,width,checked,rowHeight)
	Turbine.UI.Control.Constructor( self );
	self.name = walletItem:GetName();
	self:SetSize(width,rowHeight);
	self:SetBackColor(Turbine.UI.Color(rgb(0),rgb(15),rgb(40)));
	self.checkBox = VCheckBox(checked,0,0,16,16);
	self.checkBox:SetParent(self);
	self.image = CImage(walletItem:GetSmallImage(),16,0,16,16,self.name);
	self.image:SetParent(self);
	self.text = VLabel(self.name,32,0,width,16);
	self.text:SetParent(self);
	self.text:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
end